Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000061Core InformIndexingpublic2010-06-18 06:392010-07-01 23:07
Assigned Tograham 
Platformx86OSWindowsOS VersionXP
Product Version6E59 
Target VersionFixed in Version6E72 
Summary0000061: Kinds Index shows incorrect default values for either-or properties
DescriptionWhen I compile a minimal story (in Windows), I see in Index>Kind panel, something like:

man, a kind of person (plural men)
Represents a man or boy.
Always female not male.

woman, a kind of person (plural women)
Represents a woman or girl.
Always male not female.

I mean, exactly the opposite that Standar Rule set (and that ocurr with all the kinds).
A man is always male!
Minimal Source Text To Reproduce
"Aventura Minima" by Sarganar

The Garden is a room.

Compile it and go to tab Index\Kinds\man
Additional InformationI guess is a display problem, cause 'showme' comand in the game shows that man is male, and so.
TagsNo tags attached.
Effect(cosmetic) Index is created incorrectly
Attached Files

- Relationships

-  Notes
Juhana (reporter)
2010-06-18 07:36

This affects in fact every either/or property: it says a backdrop is always portable, a door is open, unopenable and locked, and so on.
graham (administrator)
2010-06-20 03:18

Indexing bugs are always worth squashing, and this one especially so. I've taken the opportunity to improve the coverage of the Kinds index so that it also shows properties of values, not just of objects (for instance, it now correctly says:

Usually non-recurring not recurring.
Can have description (text).

for scenes. Have also fixed a trivial unreported bug whereby "One of the following:" would spuriously appear in the index for enumerative kinds without any values - e.g. for "sound name" most of the time.

- Issue History
Date Modified Username Field Change
2010-06-18 06:39 sarganar New Issue
2010-06-18 07:36 Juhana Note Added: 0000039
2010-06-18 08:48 jmcgrew Severity mild => cosmetic
2010-06-18 08:48 jmcgrew Status new => acknowledged
2010-06-18 08:48 jmcgrew Category Properties => Indexing
2010-06-18 08:48 jmcgrew Summary After compile; Index>Kind panel shows degrees of certainty of properties changed => Kinds Index shows incorrect default values for either-or properties
2010-06-18 08:48 jmcgrew Steps to Reproduce Updated View Revisions
2010-06-18 10:57 jmcgrew Status acknowledged => confirmed
2010-06-20 03:18 graham Note Added: 0000066
2010-06-20 03:18 graham Status confirmed => resolved
2010-06-20 03:18 graham Resolution open => fixed
2010-06-20 03:18 graham Assigned To => graham
2010-06-30 18:07 jmcgrew Fixed in Version => 6E72
2010-07-01 23:07 jmcgrew Status resolved => closed

Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker